#
# spec file
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define skip_python2 1
%global flavor %{nil}
%if "%{flavor}" == "test"
%define psuffix -test
%bcond_without test
%else
%define psuffix %{nil}
%bcond_with test
%endif
%{?sle15_python_module_pythons}
Name:           python-sphinxcontrib-serializinghtml%{psuffix}
Version:        1.1.10
Release:        1.9
Summary:        Sphinx extension which outputs serialized HTML files
License:        BSD-2-Clause
Group:          Development/Languages/Python
URL:            https://github.com/sphinx-doc/sphinxcontrib-serializinghtml
Source:         https://files.pythonhosted.org/packages/source/s/sphinxcontrib-serializinghtml/sphinxcontrib_serializinghtml-%{version}.tar.gz
BuildRequires:  %{python_module flit-core}
BuildRequires:  %{python_module pip}
BuildRequires:  %{python_module wheel}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildArch:      noarch
%if %{with test}
BuildRequires:  %{python_module Sphinx >= 5.0}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module sphinxcontrib-serializinghtml >= %{version}}
%endif
%python_subpackages

%description
sphinxcontrib-serializinghtml is a sphinx extension which outputs
"serialized" HTML files (json and pickle).

%prep
%setup -q -n sphinxcontrib_serializinghtml-%{version}

%build
%pyproject_wheel

%install
%if !%{with test}
%pyproject_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}
%endif

%if %{with test}
%check
%pytest
%endif

%if !%{with test}
%files %{python_files}
%doc README.rst CHANGES
%license LICENSE
%dir %{python_sitelib}/sphinxcontrib
%{python_sitelib}/sphinxcontrib/serializinghtml
%{python_sitelib}/sphinxcontrib_serializinghtml-%{version}*-info
%endif

%changelog
* Sun Jan 14 2024 Dirk Müller <dmueller@suse.com>
- update to 1.1.10:
  * Remove Sphinx as a required dependency, as circular
    dependencies may cause failure with package managers that
    expect a directed acyclic graph (DAG) of dependencies.
* Tue Aug 29 2023 Matej Cepl <mcepl@suse.com>
- Clean up the SPEC file
* Mon Aug 28 2023 Markéta Machová <mmachova@suse.com>
- Update to 1.0.9
  * Drop support for Python 3.5, 3.6, 3.7, and 3.8
  * Raise minimum required Sphinx version to 5.0
  * Fix tests for Sphinx 7.1 and below
  * Use ``os.PathLike`` over ``pathlib.Path``
  * Serialise context["script_files"] and context["css_files"] as their filenames
    on Sphinx 7.2.0.
* Fri Apr 21 2023 Dirk Müller <dmueller@suse.com>
- add sle15_python_module_pythons (jsc#PED-68)
* Thu Apr 13 2023 Matej Cepl <mcepl@suse.com>
- Make calling of %%{sle15modernpython} optional.
* Sun Jun  6 2021 Dirk Müller <dmueller@suse.com>
- update to 1.1.5:
  * Remove deprecation warnings for Sphinx-3.x
* Fri Mar  6 2020 pgajdos@suse.com
- version update to 1.1.4
  * Fix package metadata
* Thu Jun  6 2019 Tomáš Chvátal <tchvatal@suse.com>
- Initial commit, needed by Sphinx
